Page MenuHomePhabricator

Grafana board for adaptation of AdvancedSearch beta feature
Closed, DeclinedPublic

Description

Create a grafana board that tracks how many users

  • have enabled the AdvancedSearch extension as a beta feature
    • in the past day (similar to e.g. TwoColConflict)
    • ideally on a bar chart with a one-day granularity for the past month (or longer if you change the grafana board time span)
  • have disabled the AdvancedSearch extension as a beta feature
    • in the past day (similar to e.g. TwoColConflict)
    • ideally on a bar chart with a one-day granularity for the past month (or longer if you change the grafana board time span)

Details

Related Gerrit Patches:
analytics/wmde/scripts : productionAdd advancedsearch to betafeature count script
analytics/wmde/scripts : masterAdd advancedsearch to betafeature count script

Event Timeline

@GoranSMilovanovic thanks for the update! Let's close this once we see something on the board :) (We had just realized that the original ticket was too broad, and split it up in more appropriate subtasks)

The name of the beta feature also needs to be added to the script that generates the numbers for graphite for that dashboard.

https://phabricator.wikimedia.org/diffusion/ADES/browse/master/src/betafeatures/counts.php;e42e607c6d42d16ee98e33c38ba3427e17db2d6e$14

Otherwise no numbers will ever appear

Change 392593 had a related patch set uploaded (by Addshore; owner: Addshore):
[analytics/wmde/scripts@master] Add advancedsearch to betafeature sount script

https://gerrit.wikimedia.org/r/392593

Change 392593 merged by jenkins-bot:
[analytics/wmde/scripts@master] Add advancedsearch to betafeature count script

https://gerrit.wikimedia.org/r/392593

Change 392596 had a related patch set uploaded (by Addshore; owner: Addshore):
[analytics/wmde/scripts@production] Add advancedsearch to betafeature count script

https://gerrit.wikimedia.org/r/392596

Change 392596 merged by jenkins-bot:
[analytics/wmde/scripts@production] Add advancedsearch to betafeature count script

https://gerrit.wikimedia.org/r/392596

Addshore added a comment.EditedNov 21 2017, 10:11 AM

Once the betafeature is deployed in production data should start appearing in graphite.

@Addshore @Lea_WMDE Should this task be closed given that we have T180571 for the Dashboard?

I think considering we have https://grafana.wikimedia.org/dashboard/db/betafeatures we should be able to close this ticket?
Unless @Lea_WMDE wants a separate dashboard in in grafana just for AdvancedSearch

@Lea_WMDE @Addshore What is the status of this task?

Lea_WMDE closed this task as Declined.Feb 15 2018, 4:48 PM

Yes, let's close this until we see the need for a seperate grafana dashboard

Tobi_WMDE_SW moved this task from Proposed to Done on the WMDE-QWERTY-Team board.Feb 20 2018, 3:21 PM
Lea_WMDE moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 20 2018, 3:30 PM